Script package could not compile Java

Script package could not able to compile Java codes. Here’s what I got when trying to compile it:

Error: A JNI error has occurred, please check your installation and try again

Exception in thread "main" java. lang.UnsupportedClassVersionError: Main has been compiled 
by a more recent version of the Java Runtime (class file version 60.0), this version of the Java 
Runtime only recognizes class file versions up to 52.0

at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at java.security.SecureClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.access$100(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)

Main.java

class Main {
    public static void main(String[] args) {
        System.out.println("I can do this all day");
    }
}

About My Machine

java version “1.8.0_291”
Java™ SE Runtime Environment (build 1.8.0_291-b10)
Java HotSpot™ 64-Bit Server VM (build 25.291-b10, mixed mode)

javac 16.0.1

I want to learn Java on atom plz anyone help me.